Package org.eclipse.rdf4j.sail.shacl.ast.planNodes

## Interface PlanNode

- All Known Subinterfaces:
    `PushablePlanNode`
  All Known Implementing Classes:
    `AbstractBulkJoinPlanNode`, `AllTargetsPlanNode`, `BindSelect`, `BufferedPlanNode`, `BulkedExternalInnerJoin`, `BulkedExternalLeftOuterJoin`, `DatatypeFilter`, `DebugPlanNode`, `EmptyNode`, `EqualsJoin`, `EqualsJoinValue`, `ExternalFilterByPredicate`, `ExternalFilterByQuery`, `ExternalFilterTargetIsObject`, `ExternalFilterTargetIsSubject`, `ExternalPredicateObjectFilter`, `FilterPlanNode`, `GroupByCountFilter`, `GroupByFilter`, `InnerJoin`, `LanguageInFilter`, `LeftOuterJoin`, `LiteralComparatorFilter`, `MaxLengthFilter`, `MinLengthFilter`, `NodeKindFilter`, `NonUniqueTargetLang`, `NotValuesIn`, `PatternFilter`, `Select`, `SetFilterNode`, `ShiftToNodeShape`, `ShiftToPropertyShape`, `SingleCloseablePlanNode`, `Sort`, `SparqlTargetSelect`, `TargetChainPopper`, `TargetChainRetriever`, `TrimToTarget`, `TupleMapper`, `UnBufferedPlanNode`, `UnionNode`, `Unique`, `UnorderedSelect`, `ValidationReportNode`, `ValueInFilter`, `ValuesBackedNode`

      public interface PlanNode

  Author:
    Håvard Mikkelsen Ottestad

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `depth()` |
    `String` | `getId()` |
    `void` | `getPlanAsGraphvizDot​(StringBuilder stringBuilder)` |
    `CloseableIteration<? extends ValidationTuple,​SailException>` | `iterator()` |
    `boolean` | `producesSorted()` |
    `void` | `receiveLogger​(ValidationExecutionLogger validationExecutionLogger)` |
    `boolean` | `requiresSorted()` |

- - ### Method Detail

    - #### iterator

          CloseableIteration<? extends ValidationTuple,​SailException> iterator()

    - #### depth

          int depth()

    - #### getPlanAsGraphvizDot

          void getPlanAsGraphvizDot​(StringBuilder stringBuilder)

    - #### getId

          String getId()

    - #### receiveLogger

          void receiveLogger​(ValidationExecutionLogger validationExecutionLogger)

    - #### producesSorted

          boolean producesSorted()

    - #### requiresSorted

          boolean requiresSorted()